Delete API key

DELETE/v1/keys/{hash}

Delete an API key owned by the authenticated user.

Use this endpoint when a key should no longer be usable. The operation is scoped to the authenticated user's own keys.

Authentication

Authorization Bearer <USER_JWT>

A signed-in user JWT is required. Inference, MANAGEMENT and PROVISIONING keys cannot use this endpoint. Use the Enterprise control APIs for enterprise machine automation.

Enterprise API guide · Get enterprise balance

Path Parameters

hashstringrequired

API key hash identifier.

Response

deletedboolean

True when the API key was deleted.

Solicitar

Shell
1curl -X DELETE https://api.token360.ai/v1/keys/f01d52606dc8f0a8303a7b5cc3fa07109c2e346cec7c0a16b40de462992ce943 \
2  -H "Authorization: Bearer $USER_JWT"

Respuesta

JSON
1{
2  "deleted": true
3}
¿Ha sido de ayuda?